Bug 145988 - RFE: Implement more filters beyond archfilter()
RFE: Implement more filters beyond archfilter()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 10:46 EST by Jeff Pitman
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-05 07:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Pitman 2005-01-24 10:46:07 EST
Currently, an archfilter() can be used to filter out wording placed inside of 
a spec file.  Implementation of a vendorfilter(), osfilter(), and distfilter() 
would create a more fertile environment for binary packages that span across a 
range of application platforms.
Comment 1 Jeff Johnson 2006-08-05 07:24:06 EDT
Actively changing the static dependency content in packages is already underway. E.g., rpm-4.4.7
is using RPMTAG_DIRNAMES and RPMTAG_FILELINKTOS to synthesize dependencies, and rpm-4.4.3 and 
later permits macros (which can be run-time probes returning a boolean value) in dependencies, and adds 
dependency name spaces like cpuinfo(), getconf(), and more.

I'm not sure that vendorfilter(), osfilter() or distfilter() to choose a per-install subset of static
dependencies makes sense any more, run-time probes are more reliable and easier to QA. E.g.
generating the mass of glop necessary for per-vendor dependency subsets within a spec file for
static inclusion in a package header is probably impossible to maintain for most package monkeys.

Note You need to log in before you can comment on or make changes to this bug.